Bug 447657 - RFE: use cachedir setting from yum in preupgrade
RFE: use cachedir setting from yum in preupgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 21:03 EDT by Jerry Vonau
Modified: 2008-08-06 15:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 15:11:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to yuminstall.py (2.42 KB, patch)
2008-05-22 13:16 EDT, Jerry Vonau
no flags Details | Diff

  None (edit)
Description Jerry Vonau 2008-05-20 21:03:56 EDT
Description of problem:
preupgrade has hardcoded the cache directory to be /var/cache/yum.
I relocate my yum's cache directory via yum.conf's cachedir= directive, to be on
a partation that has enough room to hold the rpms, leaving that space free on
the / filesystem. 

Version-Release number of selected component (if applicable):
0.9.3-3.fc8   

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
uses /var/cache/yum/ which crashes the install, not enough free space.

Expected results:
respect the user's wish to have yum's cache in a non-stock location as listed in
 yum.conf

Additional info:
Could preupgrade parse yum.conf looking for cachedir= or have the UI present a
typeover box with the default location pre-populated, but allow a non-stock
location for the cache? Maybe that could also be extended to the location of
stage2 if there is not enough room on /boot.
Comment 1 Seth Vidal 2008-05-21 13:48:52 EDT
Probably not. The path is hardcoded in anaconda as /var/cache/yum/anaconda-upgrade.

I guess you can ask if it can be an option in anaconda, but I doubt it.

reassigning over to anaconda
Comment 2 Jerry Vonau 2008-05-22 13:12:37 EDT
issue 1)
At least tell them(me) that there is not enough room to download AND install
before a reboot to anaconda is offered as an option in preupgrade. You have to
help users from shooting themselves in the foot. My foot still hurts a bit ;-)

"not enough free space" is not a preupgrade issue? This is just like bz444163,
downloads, but runs out of diskspace during install. This RFE is really a bug
report ok, or should I just re-file against preupgrade?

issue 2)
I think it might be worth while to have the user's input (or via /etc/yum.conf)
on where the cache that preupgrade downloads should live, they should know their
layout the best, to avoid issue 1.    

issue 3)
Well, anaconda uses what preupgrade has downloaded, both packages would need to
support a "non-stock" location of the cache, so this is not just an anaconda
issue. This will need a bit of cooperation between the package owners.

issue 4)
I think anaconda maybe(?) easy enough to patch for this, if
/mnt/sysimage/var/cache/yum is not found, parse /mnt/sysimage/etc/yum.conf
looking for cachedir=, if found set to this value. 

This is a completely untested patch for anaconda, I'm looking for feedback on
the logic/syntax at this point.       
Comment 3 Jerry Vonau 2008-05-22 13:16:05 EDT
Created attachment 306405 [details]
patch to yuminstall.py
Comment 4 Chris Lumens 2008-08-06 15:11:10 EDT
From the anaconda perspective, we would much rather preupgrade save the packages to a directory, construct a repo out of that directory, and then pass that repo to anaconda as a cmdline parameter.  So from our side of things, this bug could be considered a WONTFIX as doing what I've briefly outlined obsoletes the need for any cachedir handling in yuminstall.py.

We will be working on this plan now that the alpha is done with.

Note You need to log in before you can comment on or make changes to this bug.